Name: cdb
Version: 0.75
Release: 1.art
Group: Applications/Databases
URL: http://pobox.com/~djb/cdb.html
License: Public Domain
Packager: Scott R. Shinn <scott@atomicrocketturtle.com>
Source: http://cr.yp.to/cdb/%{name}-%{version}.tar.gz
Patch0: cdb-0.75-errno.patch
Summary: Constant DataBase
#Buildroot: /tmp/cdb
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot


%description
cdb is a fast, reliable, lightweight package for creating and reading constant databases.

%package devel
Summary: cdb static libraries and headers
Group: Development/Libraries

%description devel
Libraries and header files needed to develop applications using cdb databases


%prep
%setup
%patch0 

%build
make

rm -rf $RPM_BUILD_ROOT

# install bin files
install -d %{buildroot}%{_libdir}/cdb-0.75/
install -m 755 cdbdump %{buildroot}%{_libdir}/cdb-0.75/
install -m 755 cdbget %{buildroot}%{_libdir}/cdb-0.75/
install -m 755 cdbmake %{buildroot}%{_libdir}/cdb-0.75/
install -m 755 cdbmake-12 %{buildroot}%{_libdir}/cdb-0.75/
install -m 755 cdbmake-sv %{buildroot}%{_libdir}/cdb-0.75/
install -m 755 cdbstats %{buildroot}%{_libdir}/cdb-0.75/
install -m 755 cdbtest %{buildroot}%{_libdir}/cdb-0.75/

# install devel files
install -d %{buildroot}%{_libdir}/cdb-0.75/
install -m 644 *.h %{buildroot}%{_libdir}/cdb-0.75/
install -m 644 *.a %{buildroot}%{_libdir}/cdb-0.75/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc CHANGES README TODO VERSION
%{_libdir}/cdb-0.75/cdb*

%files devel
%defattr(-,root,root)
%doc README
%{_libdir}/cdb-0.75/*.h
%{_libdir}/cdb-0.75/*.a

%changelog
* Wed Sep 27 2006 Scott R. Shinn <scott@atomicrocketturtle.com>
- update to 0.75 

* Sun Feb 15 1998 Bruce Guenter <bruce.guenter@qcc.sk.ca>

 - as per the README file, the copyright is really public-domain

* Thu Oct 10 1997 Bruce Guenter <bruce.guenter@qcc.sk.ca>

 - added libcdbmake.a, cdbmake.h, and uint32.h to devel package


